# 📜 EQ2Emu Lua API Documentation

This document will detail all Lua scripting functions available within EQ2Emu.

---

## 📚 Table of Contents

- [AddCharacterTitle](docs/lua_functions/AddCharacterTitle.md)
- [AddCoin](docs/lua_functions/AddCoin.md)
- [AddControlEffect](docs/lua_functions/AddControlEffect.md)
- [AddConversationOption](docs/lua_functions/AddConversationOption.md)
- [AddHate](docs/lua_functions/AddHate.md)
- [AddIconValue](docs/lua_functions/AddIconValue.md)
- [AddImmunitySpell](docs/lua_functions/AddImmunitySpell.md)
- [AddItem](docs/lua_functions/AddItem.md)
- [AddLanguage](docs/lua_functions/AddLanguage.md)
- [AddLootCoin](docs/lua_functions/AddLootCoin.md)
- [AddLootItem](docs/lua_functions/AddLootItem.md)
- [AddMasterTitle](docs/lua_functions/AddMasterTitle.md)
- [AddMultiFloorLift](docs/lua_functions/AddMultiFloorLift.md)
- [AddOptionWindowOption](docs/lua_functions/AddOptionWindowOption.md)
- [AddPlayerMail](docs/lua_functions/AddPlayerMail.md)
- [AddPlayerMailByCharID](docs/lua_functions/AddPlayerMailByCharID.md)
- [AddPrimaryEntityCommand](docs/lua_functions/AddPrimaryEntityCommand.md)
- [AddPrimaryEntityCommandAllSpawns](docs/lua_functions/AddPrimaryEntityCommandAllSpawns.md)
- [AddProc](docs/lua_functions/AddProc.md)
- [AddProcExt](docs/lua_functions/AddProcExt.md)
- [AddQuestPrereqClass](docs/lua_functions/AddQuestPrereqClass.md)
- [AddQuestPrereqFaction](docs/lua_functions/AddQuestPrereqFaction.md)
- [AddQuestPrereqItem](docs/lua_functions/AddQuestPrereqItem.md)
- [AddQuestPrereqModelType](docs/lua_functions/AddQuestPrereqModelType.md)
- [AddQuestPrereqQuest](docs/lua_functions/AddQuestPrereqQuest.md)
- [AddQuestPrereqRace](docs/lua_functions/AddQuestPrereqRace.md)
- [AddQuestPrereqTradeskillClass](docs/lua_functions/AddQuestPrereqTradeskillClass.md)
- [AddQuestPrereqTradeskillLevel](docs/lua_functions/AddQuestPrereqTradeskillLevel.md)
- [AddQuestRewardCoin](docs/lua_functions/AddQuestRewardCoin.md)
- [AddQuestRewardFaction](docs/lua_functions/AddQuestRewardFaction.md)
- [AddQuestRewardItem](docs/lua_functions/AddQuestRewardItem.md)
- [AddQuestSelectableRewardItem](docs/lua_functions/AddQuestSelectableRewardItem.md)
- [AddQuestStep](docs/lua_functions/AddQuestStep.md)
- [AddQuestStepChat](docs/lua_functions/AddQuestStepChat.md)
- [AddQuestStepCompleteAction](docs/lua_functions/AddQuestStepCompleteAction.md)
- [AddQuestStepCraft](docs/lua_functions/AddQuestStepCraft.md)
- [AddQuestStepFailureAction](docs/lua_functions/AddQuestStepFailureAction.md)
- [AddQuestStepHarvest](docs/lua_functions/AddQuestStepHarvest.md)
- [AddQuestStepKill](docs/lua_functions/AddQuestStepKill.md)
- [AddQuestStepKillByRace](docs/lua_functions/AddQuestStepKillByRace.md)
- [AddQuestStepLocation](docs/lua_functions/AddQuestStepLocation.md)
- [AddQuestStepObtainItem](docs/lua_functions/AddQuestStepObtainItem.md)
- [AddQuestStepProgressAction](docs/lua_functions/AddQuestStepProgressAction.md)
- [AddQuestStepSpell](docs/lua_functions/AddQuestStepSpell.md)
- [AddQuestStepZoneLoc](docs/lua_functions/AddQuestStepZoneLoc.md)
- [AddQuestUsableItem](docs/lua_functions/AddQuestUsableItem.md)
- [AddRecipeBookToPlayer](docs/lua_functions/AddRecipeBookToPlayer.md)
- [AddRespawn](docs/lua_functions/AddRespawn.md)
- [AddSkill](docs/lua_functions/AddSkill.md)
- [AddSkillBonus](docs/lua_functions/AddSkillBonus.md)
- [AddSpawnAccess](docs/lua_functions/AddSpawnAccess.md)
- [AddSpawnIDAccess](docs/lua_functions/AddSpawnIDAccess.md)
- [AddSpawnProximity](docs/lua_functions/AddSpawnProximity.md)
- [AddSpawnSpellBonus](docs/lua_functions/AddSpawnSpellBonus.md)
- [AddSpawnToGroup](docs/lua_functions/AddSpawnToGroup.md)
- [AddSpellBonus](docs/lua_functions/AddSpellBonus.md)
- [AddSpellBookEntry](docs/lua_functions/AddSpellBookEntry.md)
- [AddSpellTimer](docs/lua_functions/AddSpellTimer.md)
- [AddStepProgress](docs/lua_functions/AddStepProgress.md)
- [AddThreatTransfer](docs/lua_functions/AddThreatTransfer.md)
- [AddTimer](docs/lua_functions/AddTimer.md)
- [AddToWard](docs/lua_functions/AddToWard.md)
- [AddTransportSpawn](docs/lua_functions/AddTransportSpawn.md)
- [AddWard](docs/lua_functions/AddWard.md)
- [AddWaypoint](docs/lua_functions/AddWaypoint.md)
- [ApplySpellVisual](docs/lua_functions/ApplySpellVisual.md)
- [Attack](docs/lua_functions/Attack.md)
- [Bind](docs/lua_functions/Bind.md)
- [BlurVision](docs/lua_functions/BlurVision.md)
- [BreatheUnderwater](docs/lua_functions/BreatheUnderwater.md)
- [CancelSpell](docs/lua_functions/CancelSpell.md)
- [CanHarvest](docs/lua_functions/CanHarvest.md)
- [CanReceiveQuest](docs/lua_functions/CanReceiveQuest.md)
- [CanSeeInvis](docs/lua_functions/CanSeeInvis.md)
- [CastCustomSpell](docs/lua_functions/CastCustomSpell.md)
- [CastEntityCommand](docs/lua_functions/CastEntityCommand.md)
- [CastSpell](docs/lua_functions/CastSpell.md)
- [ChangeFaction](docs/lua_functions/ChangeFaction.md)
- [ChangeHandIcon](docs/lua_functions/ChangeHandIcon.md)
- [Charm](docs/lua_functions/Charm.md)
- [CheckLOS](docs/lua_functions/CheckLOS.md)
- [CheckLOSByCoordinates](docs/lua_functions/CheckLOSByCoordinates.md)
- [CheckRaceType](docs/lua_functions/CheckRaceType.md)
- [ClearChoice](docs/lua_functions/ClearChoice.md)
- [ClearEncounter](docs/lua_functions/ClearEncounter.md)
- [ClearHate](docs/lua_functions/ClearHate.md)
- [ClearRunback](docs/lua_functions/ClearRunback.md)
- [ClearRunningLocations](docs/lua_functions/ClearRunningLocations.md)
- [CloseConversation](docs/lua_functions/CloseConversation.md)
- [CloseDoor](docs/lua_functions/CloseDoor.md)
- [CloseItemConversation](docs/lua_functions/CloseItemConversation.md)
- [CompareSpawns](docs/lua_functions/CompareSpawns.md)
- [CompleteTransmute](docs/lua_functions/CompleteTransmute.md)
- [CopySpawnAppearance](docs/lua_functions/CopySpawnAppearance.md)
- [CreateChoiceWindow](docs/lua_functions/CreateChoiceWindow.md)
- [CreateConversation](docs/lua_functions/CreateConversation.md)
- [CreateOptionWindow](docs/lua_functions/CreateOptionWindow.md)
- [CreatePersistedRespawn](docs/lua_functions/CreatePersistedRespawn.md)
- [CreateWidgetRegion](docs/lua_functions/CreateWidgetRegion.md)
- [CureByControlEffect](docs/lua_functions/CureByControlEffect.md)
- [CureByType](docs/lua_functions/CureByType.md)
- [DamageEquippedItems](docs/lua_functions/DamageEquippedItems.md)
- [DamageSpawn](docs/lua_functions/DamageSpawn.md)
- [DeleteDBShardID](docs/lua_functions/DeleteDBShardID.md)
- [DeleteSpellBook](docs/lua_functions/DeleteSpellBook.md)
- [Despawn](docs/lua_functions/Despawn.md)
- [DespawnByLocationID](docs/lua_functions/DespawnByLocationID.md)
- [DismissPet](docs/lua_functions/DismissPet.md)
- [DisplayText](docs/lua_functions/DisplayText.md)
- [Emote](docs/lua_functions/Emote.md)
- [EnableGameEvent](docs/lua_functions/EnableGameEvent.md)
- [EndAutoMount](docs/lua_functions/EndAutoMount.md)
- [Evac](docs/lua_functions/Evac.md)
- [FaceTarget](docs/lua_functions/FaceTarget.md)
- [FlashWindow](docs/lua_functions/FlashWindow.md)
- [Gate](docs/lua_functions/Gate.md)
- [GetAAInfo](docs/lua_functions/GetAAInfo.md)
- [GetAggroRadius](docs/lua_functions/GetAggroRadius.md)
- [GetAgi](docs/lua_functions/GetAgi.md)
- [GetAgiBase](docs/lua_functions/GetAgiBase.md)
- [GetAlignment](docs/lua_functions/GetAlignment.md)
- [GetArchetypeName](docs/lua_functions/GetArchetypeName.md)
- [GetArrowColor](docs/lua_functions/GetArrowColor.md)
- [GetBaseAggroRadius](docs/lua_functions/GetBaseAggroRadius.md)
- [GetBoundZoneID](docs/lua_functions/GetBoundZoneID.md)
- [GetCanBind](docs/lua_functions/GetCanBind.md)
- [GetCanEvac](docs/lua_functions/GetCanEvac.md)
- [GetCanGate](docs/lua_functions/GetCanGate.md)
- [GetCasterSpellLevel](docs/lua_functions/GetCasterSpellLevel.md)
- [GetCharacterFlag](docs/lua_functions/GetCharacterFlag.md)
- [GetCharacterID](docs/lua_functions/GetCharacterID.md)
- [GetCharmedPet](docs/lua_functions/GetCharmedPet.md)
- [GetChoiceSpawnID](docs/lua_functions/GetChoiceSpawnID.md)
- [GetClass](docs/lua_functions/GetClass.md)
- [GetClassName](docs/lua_functions/GetClassName.md)
- [GetClientVersion](docs/lua_functions/GetClientVersion.md)
- [GetCoinMessage](docs/lua_functions/GetCoinMessage.md)
- [GetCosmeticPet](docs/lua_functions/GetCosmeticPet.md)
- [GetCurrentHP](docs/lua_functions/GetCurrentHP.md)
- [GetCurrentPower](docs/lua_functions/GetCurrentPower.md)
- [GetCurrentZoneSafeLocation](docs/lua_functions/GetCurrentZoneSafeLocation.md)
- [GetDeity](docs/lua_functions/GetDeity.md)
- [GetDeityPet](docs/lua_functions/GetDeityPet.md)
- [GetDifficulty](docs/lua_functions/GetDifficulty.md)
- [GetDistance](docs/lua_functions/GetDistance.md)
- [GetEncounter](docs/lua_functions/GetEncounter.md)
- [GetEncounterSize](docs/lua_functions/GetEncounterSize.md)
- [GetFactionAmount](docs/lua_functions/GetFactionAmount.md)
- [GetFactionID](docs/lua_functions/GetFactionID.md)
- [GetFollowTarget](docs/lua_functions/GetFollowTarget.md)
- [GetGender](docs/lua_functions/GetGender.md)
- [GetGroup](docs/lua_functions/GetGroup.md)
- [GetHateList](docs/lua_functions/GetHateList.md)
- [GetHeading](docs/lua_functions/GetHeading.md)
- [GetID](docs/lua_functions/GetID.md)
- [GetInfoStructFloat](docs/lua_functions/GetInfoStructFloat.md)
- [GetInfoStructSInt](docs/lua_functions/GetInfoStructSInt.md)
- [GetInfoStructString](docs/lua_functions/GetInfoStructString.md)
- [GetInfoStructUInt](docs/lua_functions/GetInfoStructUInt.md)
- [GetInt](docs/lua_functions/GetInt.md)
- [GetIntBase](docs/lua_functions/GetIntBase.md)
- [GetItemCount](docs/lua_functions/GetItemCount.md)
- [GetItemEffectType](docs/lua_functions/GetItemEffectType.md)
- [GetItemID](docs/lua_functions/GetItemID.md)
- [GetItemSkillReq](docs/lua_functions/GetItemSkillReq.md)
- [GetItemType](docs/lua_functions/GetItemType.md)
- [GetLevel](docs/lua_functions/GetLevel.md)
- [GetLootCoin](docs/lua_functions/GetLootCoin.md)
- [GetLootDropType](docs/lua_functions/GetLootDropType.md)
- [GetLootTier](docs/lua_functions/GetLootTier.md)
- [GetMaxHP](docs/lua_functions/GetMaxHP.md)
- [GetMaxHPBase](docs/lua_functions/GetMaxHPBase.md)
- [GetMaxPower](docs/lua_functions/GetMaxPower.md)
- [GetMaxPowerBase](docs/lua_functions/GetMaxPowerBase.md)
- [GetModelType](docs/lua_functions/GetModelType.md)
- [GetMostHated](docs/lua_functions/GetMostHated.md)
- [GetMount](docs/lua_functions/GetMount.md)
- [GetName](docs/lua_functions/GetName.md)
- [GetOrigX](docs/lua_functions/GetOrigX.md)
- [GetOrigY](docs/lua_functions/GetOrigY.md)
- [GetOrigZ](docs/lua_functions/GetOrigZ.md)
- [GetOwner](docs/lua_functions/GetOwner.md)
- [GetPassengerSpawnList](docs/lua_functions/GetPassengerSpawnList.md)
- [GetPCTOfHP](docs/lua_functions/GetPCTOfHP.md)
- [GetPCTOfPower](docs/lua_functions/GetPCTOfPower.md)
- [GetPet](docs/lua_functions/GetPet.md)
- [GetPlayerHistory](docs/lua_functions/GetPlayerHistory.md)
- [GetPlayersInZone](docs/lua_functions/GetPlayersInZone.md)
- [GetQuest](docs/lua_functions/GetQuest.md)
- [GetQuestCompleteCount](docs/lua_functions/GetQuestCompleteCount.md)
- [GetQuestFlags](docs/lua_functions/GetQuestFlags.md)
- [GetQuestStep](docs/lua_functions/GetQuestStep.md)
- [GetQuestStepProgress](docs/lua_functions/GetQuestStepProgress.md)
- [GetRace](docs/lua_functions/GetRace.md)
- [GetRaceBaseType](docs/lua_functions/GetRaceBaseType.md)
- [GetRaceName](docs/lua_functions/GetRaceName.md)
- [GetRaceType](docs/lua_functions/GetRaceType.md)
- [GetRandomSpawnByID](docs/lua_functions/GetRandomSpawnByID.md)
- [GetRuleFlagBool](docs/lua_functions/GetRuleFlagBool.md)
- [GetRuleFlagFloat](docs/lua_functions/GetRuleFlagFloat.md)
- [GetRuleFlagInt32](docs/lua_functions/GetRuleFlagInt32.md)
- [GetRunbackDistance](docs/lua_functions/GetRunbackDistance.md)
- [GetServerVariable](docs/lua_functions/GetServerVariable.md)
- [GetShardCharID](docs/lua_functions/GetShardCharID.md)
- [GetShardCreatedTimestamp](docs/lua_functions/GetShardCreatedTimestamp.md)
- [GetShardID](docs/lua_functions/GetShardID.md)
- [GetSkill](docs/lua_functions/GetSkill.md)
- [GetSkillIDByName](docs/lua_functions/GetSkillIDByName.md)
- [GetSkillMaxValue](docs/lua_functions/GetSkillMaxValue.md)
- [GetSkillName](docs/lua_functions/GetSkillName.md)
- [GetSkillValue](docs/lua_functions/GetSkillValue.md)
- [GetSpawn](docs/lua_functions/GetSpawn.md)
- [GetSpawnByGroupID](docs/lua_functions/GetSpawnByGroupID.md)
- [GetSpawnByLocationID](docs/lua_functions/GetSpawnByLocationID.md)
- [GetSpawnByRailID](docs/lua_functions/GetSpawnByRailID.md)
- [GetSpawnFromList](docs/lua_functions/GetSpawnFromList.md)
- [GetSpawnGroupID](docs/lua_functions/GetSpawnGroupID.md)
- [GetSpawnID](docs/lua_functions/GetSpawnID.md)
- [GetSpawnListByRailID](docs/lua_functions/GetSpawnListByRailID.md)
- [GetSpawnListBySpawnID](docs/lua_functions/GetSpawnListBySpawnID.md)
- [GetSpawnListSize](docs/lua_functions/GetSpawnListSize.md)
- [GetSpawnLocationID](docs/lua_functions/GetSpawnLocationID.md)
- [GetSpawnLocationPlacementID](docs/lua_functions/GetSpawnLocationPlacementID.md)
- [GetSpeed](docs/lua_functions/GetSpeed.md)
- [GetSpell](docs/lua_functions/GetSpell.md)
- [GetSpellCaster](docs/lua_functions/GetSpellCaster.md)
- [GetSpellData](docs/lua_functions/GetSpellData.md)
- [GetSpellDataIndex](docs/lua_functions/GetSpellDataIndex.md)
- [GetSpellDisplayEffect](docs/lua_functions/GetSpellDisplayEffect.md)
- [GetSpellID](docs/lua_functions/GetSpellID.md)
- [GetSpellInitialTarget](docs/lua_functions/GetSpellInitialTarget.md)
- [GetSpellName](docs/lua_functions/GetSpellName.md)
- [GetSpellRequiredLevel](docs/lua_functions/GetSpellRequiredLevel.md)
- [GetSpellTargets](docs/lua_functions/GetSpellTargets.md)
- [GetSpellTier](docs/lua_functions/GetSpellTier.md)
- [GetSpellTriggerCount](docs/lua_functions/GetSpellTriggerCount.md)
- [GetSta](docs/lua_functions/GetSta.md)
- [GetStaBase](docs/lua_functions/GetStaBase.md)
- [GetStr](docs/lua_functions/GetStr.md)
- [GetStrBase](docs/lua_functions/GetStrBase.md)
- [GetTarget](docs/lua_functions/GetTarget.md)
- [GetTaskGroupStep](docs/lua_functions/GetTaskGroupStep.md)
- [GetTemporaryTransportID](docs/lua_functions/GetTemporaryTransportID.md)
- [GetTempVariable](docs/lua_functions/GetTempVariable.md)
- [GetTradeskillClass](docs/lua_functions/GetTradeskillClass.md)
- [GetTradeskillClassName](docs/lua_functions/GetTradeskillClassName.md)
- [GetTradeskillLevel](docs/lua_functions/GetTradeskillLevel.md)
- [GetTSArrowColor](docs/lua_functions/GetTSArrowColor.md)
- [GetTutorialStep](docs/lua_functions/GetTutorialStep.md)
- [GetVariableValue](docs/lua_functions/GetVariableValue.md)
- [GetWardAmountLeft](docs/lua_functions/GetWardAmountLeft.md)
- [GetWardValue](docs/lua_functions/GetWardValue.md)
- [GetWis](docs/lua_functions/GetWis.md)
- [GetWisBase](docs/lua_functions/GetWisBase.md)
- [GetWorldTimeHour](docs/lua_functions/GetWorldTimeHour.md)
- [GetWorldTimeMinute](docs/lua_functions/GetWorldTimeMinute.md)
- [GetWorldTimeMonth](docs/lua_functions/GetWorldTimeMonth.md)
- [GetWorldTimeYear](docs/lua_functions/GetWorldTimeYear.md)
- [GetX](docs/lua_functions/GetX.md)
- [GetY](docs/lua_functions/GetY.md)
- [GetZ](docs/lua_functions/GetZ.md)
- [GetZone](docs/lua_functions/GetZone.md)
- [GetZoneExpansionFlag](docs/lua_functions/GetZoneExpansionFlag.md)
- [GetZoneHolidayFlag](docs/lua_functions/GetZoneHolidayFlag.md)
- [GetZoneID](docs/lua_functions/GetZoneID.md)
- [GetZoneLockoutTimer](docs/lua_functions/GetZoneLockoutTimer.md)
- [GetZoneName](docs/lua_functions/GetZoneName.md)
- [GetZonePlayerAvgLevel](docs/lua_functions/GetZonePlayerAvgLevel.md)
- [GetZonePlayerFirstLevel](docs/lua_functions/GetZonePlayerFirstLevel.md)
- [GetZonePlayerMaxLevel](docs/lua_functions/GetZonePlayerMaxLevel.md)
- [GetZonePlayerMinLevel](docs/lua_functions/GetZonePlayerMinLevel.md)
- [GiveExp](docs/lua_functions/GiveExp.md)
- [GiveLoot](docs/lua_functions/GiveLoot.md)
- [GiveQuestItem](docs/lua_functions/GiveQuestItem.md)
- [GiveQuestReward](docs/lua_functions/GiveQuestReward.md)
- [HandInCollections](docs/lua_functions/HandInCollections.md)
- [Harvest](docs/lua_functions/Harvest.md)
- [HasCoin](docs/lua_functions/HasCoin.md)
- [HasCollectionsToHandIn](docs/lua_functions/HasCollectionsToHandIn.md)
- [HasCompletedQuest](docs/lua_functions/HasCompletedQuest.md)
- [HasControlEffect](docs/lua_functions/HasControlEffect.md)
- [HasFreeSlot](docs/lua_functions/HasFreeSlot.md)
- [HasGroup](docs/lua_functions/HasGroup.md)
- [HasItem](docs/lua_functions/HasItem.md)
- [HasItemEquipped](docs/lua_functions/HasItemEquipped.md)
- [HasLanguage](docs/lua_functions/HasLanguage.md)
- [HasLootItem](docs/lua_functions/HasLootItem.md)
- [HasMoved](docs/lua_functions/HasMoved.md)
- [HasPendingLoot](docs/lua_functions/HasPendingLoot.md)
- [HasPendingLootItem](docs/lua_functions/HasPendingLootItem.md)
- [HasPendingQuest](docs/lua_functions/HasPendingQuest.md)
- [HasQuest](docs/lua_functions/HasQuest.md)
- [HasQuestRewardItem](docs/lua_functions/HasQuestRewardItem.md)
- [HasRecipeBook](docs/lua_functions/HasRecipeBook.md)
- [HasRecovered](docs/lua_functions/HasRecovered.md)
- [HasSkill](docs/lua_functions/HasSkill.md)
- [HasSpell](docs/lua_functions/HasSpell.md)
- [HasSpellEffect](docs/lua_functions/HasSpellEffect.md)
- [HasSpellImmunity](docs/lua_functions/HasSpellImmunity.md)
- [IncreaseSkillCapsByType](docs/lua_functions/IncreaseSkillCapsByType.md)
- [InFront](docs/lua_functions/InFront.md)
- [InLava](docs/lua_functions/InLava.md)
- [InstructionWindow](docs/lua_functions/InstructionWindow.md)
- [InstructionWindowClose](docs/lua_functions/InstructionWindowClose.md)
- [InstructionWindowGoal](docs/lua_functions/InstructionWindowGoal.md)
- [Interrupt](docs/lua_functions/Interrupt.md)
- [InWater](docs/lua_functions/InWater.md)
- [IsAlive](docs/lua_functions/IsAlive.md)
- [IsBehind](docs/lua_functions/IsBehind.md)
- [IsBindAllowed](docs/lua_functions/IsBindAllowed.md)
- [IsCasting](docs/lua_functions/IsCasting.md)
- [IsCastOnAggroComplete](docs/lua_functions/IsCastOnAggroComplete.md)
- [IsEntity](docs/lua_functions/IsEntity.md)
- [IsEpic](docs/lua_functions/IsEpic.md)
- [IsFlanking](docs/lua_functions/IsFlanking.md)
- [IsFollowing](docs/lua_functions/IsFollowing.md)
- [IsGateAllowed](docs/lua_functions/IsGateAllowed.md)
- [IsGroundSpawn](docs/lua_functions/IsGroundSpawn.md)
- [IsHeroic](docs/lua_functions/IsHeroic.md)
- [IsInCombat](docs/lua_functions/IsInCombat.md)
- [IsInvis](docs/lua_functions/IsInvis.md)
- [IsInvulnerable](docs/lua_functions/IsInvulnerable.md)
- [IsMezzed](docs/lua_functions/IsMezzed.md)
- [IsMezzedOrStunned](docs/lua_functions/IsMezzedOrStunned.md)
- [IsNight](docs/lua_functions/IsNight.md)
- [IsOnAutoMount](docs/lua_functions/IsOnAutoMount.md)
- [IsOpen](docs/lua_functions/IsOpen.md)
- [IsPet](docs/lua_functions/IsPet.md)
- [IsPlayer](docs/lua_functions/IsPlayer.md)
- [IsRunning](docs/lua_functions/IsRunning.md)
- [IsSpawnGroupAlive](docs/lua_functions/IsSpawnGroupAlive.md)
- [IsStealthed](docs/lua_functions/IsStealthed.md)
- [IsStunned](docs/lua_functions/IsStunned.md)
- [IsTransportSpawn](docs/lua_functions/IsTransportSpawn.md)
- [IsZoneLoading](docs/lua_functions/IsZoneLoading.md)
- [KillSpawn](docs/lua_functions/KillSpawn.md)
- [KillSpawnByDistance](docs/lua_functions/KillSpawnByDistance.md)
- [Knockback](docs/lua_functions/Knockback.md)
- [LastSpellAttackHit](docs/lua_functions/LastSpellAttackHit.md)
- [MakeRandomFloat](docs/lua_functions/MakeRandomFloat.md)
- [MakeRandomInt](docs/lua_functions/MakeRandomInt.md)
- [ModifyHP](docs/lua_functions/ModifyHP.md)
- [ModifyMaxHP](docs/lua_functions/ModifyMaxHP.md)
- [ModifyMaxPower](docs/lua_functions/ModifyMaxPower.md)
- [ModifyPower](docs/lua_functions/ModifyPower.md)
- [MovementLoopAdd](docs/lua_functions/MovementLoopAdd.md)
- [MoveToLocation](docs/lua_functions/MoveToLocation.md)
- [OfferQuest](docs/lua_functions/OfferQuest.md)
- [OpenDoor](docs/lua_functions/OpenDoor.md)
- [PauseMovement](docs/lua_functions/PauseMovement.md)
- [PlayAnimation](docs/lua_functions/PlayAnimation.md)
- [PlayAnimationString](docs/lua_functions/PlayAnimationString.md)
- [PlayFlavor](docs/lua_functions/PlayFlavor.md)
- [PlayFlavorID](docs/lua_functions/PlayFlavorID.md)
- [PlaySound](docs/lua_functions/PlaySound.md)
- [PlayVoice](docs/lua_functions/PlayVoice.md)
- [ProcDamage](docs/lua_functions/ProcDamage.md)
- [ProcessMelee](docs/lua_functions/ProcessMelee.md)
- [ProcessSpell](docs/lua_functions/ProcessSpell.md)
- [ProcHate](docs/lua_functions/ProcHate.md)
- [ProvidesQuest](docs/lua_functions/ProvidesQuest.md)
- [QuestIsComplete](docs/lua_functions/QuestIsComplete.md)
- [QuestReturnNPC](docs/lua_functions/QuestReturnNPC.md)
- [QuestStepIsComplete](docs/lua_functions/QuestStepIsComplete.md)
- [RegisterQuest](docs/lua_functions/RegisterQuest.md)
- [RemoveCoin](docs/lua_functions/RemoveCoin.md)
- [RemoveControlEffect](docs/lua_functions/RemoveControlEffect.md)
- [RemoveIconValue](docs/lua_functions/RemoveIconValue.md)
- [RemoveImmunitySpell](docs/lua_functions/RemoveImmunitySpell.md)
- [RemoveInvis](docs/lua_functions/RemoveInvis.md)
- [RemoveItem](docs/lua_functions/RemoveItem.md)
- [RemoveLootItem](docs/lua_functions/RemoveLootItem.md)
- [RemovePrimaryEntityCommand](docs/lua_functions/RemovePrimaryEntityCommand.md)
- [RemoveProc](docs/lua_functions/RemoveProc.md)
- [RemoveQuestStep](docs/lua_functions/RemoveQuestStep.md)
- [RemoveRecipeFromPlayer](docs/lua_functions/RemoveRecipeFromPlayer.md)
- [RemoveRegion](docs/lua_functions/RemoveRegion.md)
- [RemoveSkill](docs/lua_functions/RemoveSkill.md)
- [RemoveSkillBonus](docs/lua_functions/RemoveSkillBonus.md)
- [RemoveSpawnAccess](docs/lua_functions/RemoveSpawnAccess.md)
- [RemoveSpawnIDAccess](docs/lua_functions/RemoveSpawnIDAccess.md)
- [RemoveSpawnSpellBonus](docs/lua_functions/RemoveSpawnSpellBonus.md)
- [RemoveSpellBonus](docs/lua_functions/RemoveSpellBonus.md)
- [RemoveSpellBookEntry](docs/lua_functions/RemoveSpellBookEntry.md)
- [RemoveStealth](docs/lua_functions/RemoveStealth.md)
- [RemoveThreatTransfer](docs/lua_functions/RemoveThreatTransfer.md)
- [RemoveTriggerFromSpell](docs/lua_functions/RemoveTriggerFromSpell.md)
- [RemoveWard](docs/lua_functions/RemoveWard.md)
- [RemoveWaypoint](docs/lua_functions/RemoveWaypoint.md)
- [RemoveWidgetFromSpawnMap](docs/lua_functions/RemoveWidgetFromSpawnMap.md)
- [RemoveWidgetFromZoneMap](docs/lua_functions/RemoveWidgetFromZoneMap.md)
- [ReplaceWidgetFromClient](docs/lua_functions/ReplaceWidgetFromClient.md)
- [ResetCharacterTitlePrefix](docs/lua_functions/ResetCharacterTitlePrefix.md)
- [ResetCharacterTitleSuffix](docs/lua_functions/ResetCharacterTitleSuffix.md)
- [ResetIllusion](docs/lua_functions/ResetIllusion.md)
- [ResetQuestStep](docs/lua_functions/ResetQuestStep.md)
- [Resurrect](docs/lua_functions/Resurrect.md)
- [Runback](docs/lua_functions/Runback.md)
- [Say](docs/lua_functions/Say.md)
- [SayOOC](docs/lua_functions/SayOOC.md)
- [SendHearCast](docs/lua_functions/SendHearCast.md)
- [SendMessage](docs/lua_functions/SendMessage.md)
- [SendNewAdventureSpells](docs/lua_functions/SendNewAdventureSpells.md)
- [SendNewTradeskillSpells](docs/lua_functions/SendNewTradeskillSpells.md)
- [SendOptionWindow](docs/lua_functions/SendOptionWindow.md)
- [SendPopUpMessage](docs/lua_functions/SendPopUpMessage.md)
- [SendStateCommand](docs/lua_functions/SendStateCommand.md)
- [SendTimeUpdate](docs/lua_functions/SendTimeUpdate.md)
- [SendTransporters](docs/lua_functions/SendTransporters.md)
- [SendUpdateDefaultCommand](docs/lua_functions/SendUpdateDefaultCommand.md)
- [SendWaypoints](docs/lua_functions/SendWaypoints.md)
- [SetAAInfo](docs/lua_functions/SetAAInfo.md)
- [SetAccessToEntityCommand](docs/lua_functions/SetAccessToEntityCommand.md)
- [SetAccessToEntityCommandByCharID](docs/lua_functions/SetAccessToEntityCommandByCharID.md)
- [SetAdventureClass](docs/lua_functions/SetAdventureClass.md)
- [SetAggroRadius](docs/lua_functions/SetAggroRadius.md)
- [SetAgi](docs/lua_functions/SetAgi.md)
- [SetAgiBase](docs/lua_functions/SetAgiBase.md)
- [SetAlignment](docs/lua_functions/SetAlignment.md)
- [SetAttackable](docs/lua_functions/SetAttackable.md)
- [SetBrainTick](docs/lua_functions/SetBrainTick.md)
- [SetCanBind](docs/lua_functions/SetCanBind.md)
- [SetCanEvac](docs/lua_functions/SetCanEvac.md)
- [SetCanGate](docs/lua_functions/SetCanGate.md)
- [SetCastOnAggroComplete](docs/lua_functions/SetCastOnAggroComplete.md)
- [SetCharacterTitlePrefix](docs/lua_functions/SetCharacterTitlePrefix.md)
- [SetCharacterTitleSuffix](docs/lua_functions/SetCharacterTitleSuffix.md)
- [SetCharSheetChanged](docs/lua_functions/SetCharSheetChanged.md)
- [SetCoinTmpReward](docs/lua_functions/SetCoinTmpReward.md)
- [SetCompletedDescription](docs/lua_functions/SetCompletedDescription.md)
- [SetCompleteFlag](docs/lua_functions/SetCompleteFlag.md)
- [SetCurrentHP](docs/lua_functions/SetCurrentHP.md)
- [SetCurrentPower](docs/lua_functions/SetCurrentPower.md)
- [SetDeity](docs/lua_functions/SetDeity.md)
- [SetFactionID](docs/lua_functions/SetFactionID.md)
- [SetFailureTimer](docs/lua_functions/SetFailureTimer.md)
- [SetFollowTarget](docs/lua_functions/SetFollowTarget.md)
- [SetGridID](docs/lua_functions/SetGridID.md)
- [SetHeading](docs/lua_functions/SetHeading.md)
- [SetIllusion](docs/lua_functions/SetIllusion.md)
- [SetInCombat](docs/lua_functions/SetInCombat.md)
- [SetInfoFlag](docs/lua_functions/SetInfoFlag.md)
- [SetInfoStructFloat](docs/lua_functions/SetInfoStructFloat.md)
- [SetInfoStructSInt](docs/lua_functions/SetInfoStructSInt.md)
- [SetInfoStructString](docs/lua_functions/SetInfoStructString.md)
- [SetInfoStructUInt](docs/lua_functions/SetInfoStructUInt.md)
- [SetInt](docs/lua_functions/SetInt.md)
- [SetIntBase](docs/lua_functions/SetIntBase.md)
- [SetInvulnerable](docs/lua_functions/SetInvulnerable.md)
- [SetItemCount](docs/lua_functions/SetItemCount.md)
- [SetLocationProximityFunction](docs/lua_functions/SetLocationProximityFunction.md)
- [SetLootCoin](docs/lua_functions/SetLootCoin.md)
- [SetLootDropType](docs/lua_functions/SetLootDropType.md)
- [SetLootTier](docs/lua_functions/SetLootTier.md)
- [SetLuaBrain](docs/lua_functions/SetLuaBrain.md)
- [SetMaxHP](docs/lua_functions/SetMaxHP.md)
- [SetMaxHPBase](docs/lua_functions/SetMaxHPBase.md)
- [SetMaxPower](docs/lua_functions/SetMaxPower.md)
- [SetMaxPowerBase](docs/lua_functions/SetMaxPowerBase.md)
- [SetModelType](docs/lua_functions/SetModelType.md)
- [SetMount](docs/lua_functions/SetMount.md)
- [SetMountColor](docs/lua_functions/SetMountColor.md)
- [SetPlayerHistory](docs/lua_functions/SetPlayerHistory.md)
- [SetPlayerLevel](docs/lua_functions/SetPlayerLevel.md)
- [SetPlayerPOVGhost](docs/lua_functions/SetPlayerPOVGhost.md)
- [SetPlayerProximityFunction](docs/lua_functions/SetPlayerProximityFunction.md)
- [SetPosition](docs/lua_functions/SetPosition.md)
- [SetQuestCompleteAction](docs/lua_functions/SetQuestCompleteAction.md)
- [SetQuestFeatherColor](docs/lua_functions/SetQuestFeatherColor.md)
- [SetQuestFlags](docs/lua_functions/SetQuestFlags.md)
- [SetQuestPrereqLevel](docs/lua_functions/SetQuestPrereqLevel.md)
- [SetQuestRepeatable](docs/lua_functions/SetQuestRepeatable.md)
- [SetQuestRewardComment](docs/lua_functions/SetQuestRewardComment.md)
- [SetQuestRewardExp](docs/lua_functions/SetQuestRewardExp.md)
- [SetQuestRewardStatus](docs/lua_functions/SetQuestRewardStatus.md)
- [SetQuestTimer](docs/lua_functions/SetQuestTimer.md)
- [SetQuestTimerComplete](docs/lua_functions/SetQuestTimerComplete.md)
- [SetQuestYellow](docs/lua_functions/SetQuestYellow.md)
- [SetRailID](docs/lua_functions/SetRailID.md)
- [SetRequiredHistory](docs/lua_functions/SetRequiredHistory.md)
- [SetRequiredQuest](docs/lua_functions/SetRequiredQuest.md)
- [SetSeeHide](docs/lua_functions/SetSeeHide.md)
- [SetSeeInvis](docs/lua_functions/SetSeeInvis.md)
- [SetServerControlFlag](docs/lua_functions/SetServerControlFlag.md)
- [SetServerVariable](docs/lua_functions/SetServerVariable.md)
- [SetSkillMaxValue](docs/lua_functions/SetSkillMaxValue.md)
- [SetSkillValue](docs/lua_functions/SetSkillValue.md)
- [SetSpawnAnimation](docs/lua_functions/SetSpawnAnimation.md)
- [SetSpawnGroupID](docs/lua_functions/SetSpawnGroupID.md)
- [SetSpeed](docs/lua_functions/SetSpeed.md)
- [SetSpeedMultiplier](docs/lua_functions/SetSpeedMultiplier.md)
- [SetSpellData](docs/lua_functions/SetSpellData.md)
- [SetSpellDataIndex](docs/lua_functions/SetSpellDataIndex.md)
- [SetSpellDisplayEffect](docs/lua_functions/SetSpellDisplayEffect.md)
- [SetSpellList](docs/lua_functions/SetSpellList.md)
- [SetSpellSnareValue](docs/lua_functions/SetSpellSnareValue.md)
- [SetSpellTriggerCount](docs/lua_functions/SetSpellTriggerCount.md)
- [SetSta](docs/lua_functions/SetSta.md)
- [SetStaBase](docs/lua_functions/SetStaBase.md)
- [SetStatusTmpReward](docs/lua_functions/SetStatusTmpReward.md)
- [SetStepComplete](docs/lua_functions/SetStepComplete.md)
- [SetStepFailed](docs/lua_functions/SetStepFailed.md)
- [SetStr](docs/lua_functions/SetStr.md)
- [SetStrBase](docs/lua_functions/SetStrBase.md)
- [SetSuccessTimer](docs/lua_functions/SetSuccessTimer.md)
- [SetTarget](docs/lua_functions/SetTarget.md)
- [SetTemporaryTransportID](docs/lua_functions/SetTemporaryTransportID.md)
- [SetTempVariable](docs/lua_functions/SetTempVariable.md)
- [SetTradeskillClass](docs/lua_functions/SetTradeskillClass.md)
- [SetTradeskillLevel](docs/lua_functions/SetTradeskillLevel.md)
- [SetTutorialStep](docs/lua_functions/SetTutorialStep.md)
- [SetVision](docs/lua_functions/SetVision.md)
- [SetVisualFlag](docs/lua_functions/SetVisualFlag.md)
- [SetWis](docs/lua_functions/SetWis.md)
- [SetWisBase](docs/lua_functions/SetWisBase.md)
- [SetWorldTime](docs/lua_functions/SetWorldTime.md)
- [SetZoneExpansionFlag](docs/lua_functions/SetZoneExpansionFlag.md)
- [SetZoneHolidayFlag](docs/lua_functions/SetZoneHolidayFlag.md)
- [Shout](docs/lua_functions/Shout.md)
- [ShowLootWindow](docs/lua_functions/ShowLootWindow.md)
- [ShowWindow](docs/lua_functions/ShowWindow.md)
- [Spawn](docs/lua_functions/Spawn.md)
- [SpawnByLocationID](docs/lua_functions/SpawnByLocationID.md)
- [SpawnGroupByID](docs/lua_functions/SpawnGroupByID.md)
- [SpawnMove](docs/lua_functions/SpawnMove.md)
- [SpawnSet](docs/lua_functions/SpawnSet.md)
- [SpawnSetByDistance](docs/lua_functions/SpawnSetByDistance.md)
- [SpellDamage](docs/lua_functions/SpellDamage.md)
- [SpellDamageExt](docs/lua_functions/SpellDamageExt.md)
- [SpellHeal](docs/lua_functions/SpellHeal.md)
- [SpellHealPct](docs/lua_functions/SpellHealPct.md)
- [StartAutoMount](docs/lua_functions/StartAutoMount.md)
- [StartConversation](docs/lua_functions/StartConversation.md)
- [StartDialogConversation](docs/lua_functions/StartDialogConversation.md)
- [StartHeroicOpportunity](docs/lua_functions/StartHeroicOpportunity.md)
- [StartTransmute](docs/lua_functions/StartTransmute.md)
- [Stealth](docs/lua_functions/Stealth.md)
- [StopMovement](docs/lua_functions/StopMovement.md)
- [StopTimer](docs/lua_functions/StopTimer.md)
- [SummonCosmeticPet](docs/lua_functions/SummonCosmeticPet.md)
- [SummonDeityPet](docs/lua_functions/SummonDeityPet.md)
- [SummonDumbFirePet](docs/lua_functions/SummonDumbFirePet.md)
- [SummonItem](docs/lua_functions/SummonItem.md)
- [SummonPet](docs/lua_functions/SummonPet.md)
- [ToggleCharacterFlag](docs/lua_functions/ToggleCharacterFlag.md)
- [ToggleFollow](docs/lua_functions/ToggleFollow.md)
- [ToggleTracking](docs/lua_functions/ToggleTracking.md)
- [UpdateQuestDescription](docs/lua_functions/UpdateQuestDescription.md)
- [UpdateQuestStepDescription](docs/lua_functions/UpdateQuestStepDescription.md)
- [UpdateQuestTaskGroupDescription](docs/lua_functions/UpdateQuestTaskGroupDescription.md)
- [UpdateQuestZone](docs/lua_functions/UpdateQuestZone.md)
- [UseWidget](docs/lua_functions/UseWidget.md)
- [Zone](docs/lua_functions/Zone.md)

---

## ✨ Introduction

EQ2Emu allows scripting of quests, spawns, spells, regions, and zones using Lua.
This guide will document all exposed Lua functions, expected parameters, and example usages.

---

## 📌 Notes

- Lua scripting engine is integrated natively into the EQ2World server.
- More detailed breakdowns will be added as the API documentation is expanded.
